"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.isFunctionStr = isFunctionStr;
/**
 * Determines if a string represents a valid JavaScript function.
 * @param {string} aFuncString - The string to test.
 * @returns {boolean} - True if the string represents a valid function, false otherwise.
 * @example
 * isFunctionStr('function add(x, y) { return x + y; }') // true
 * isFunctionStr('const x = 5;') // false
 */
function isFunctionStr(aFuncString) {
  const result = /^[;\s]*function(\s+\S*)?\s*\(.*\)\s*{.*}[;\s]*$/.test(aFuncString);
  return result;
}
;
var _default = isFunctionStr;
exports.default = _default;