"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isArray = exports.default = void 0;
const toString = Object.prototype.toString;

/**
 * Determines whether a given value is an Array.
 *
 * @param {*} obj - The value to be checked.
 * @returns {boolean} `true` if the value is an Array, `false` otherwise.
 */
const isArray = Array.isArray ? Array.isArray : function isArray(obj) {
  return toString.call(obj) === "[object Array]";
};
exports.isArray = isArray;
var _default = isArray;
exports.default = _default;