/**
 * Returns an array of non-enumerable property names of an object.
 *
 * @param {Object} aObject - The object to retrieve non-enumerable property names from.
 * @returns {Array.<string>} - An array of non-enumerable property names of the object.
 *
 * @example
 *
 * var obj = Object.create(null, {
 *   a: { value: 1 },
 *   b: { value: 2, enumerable: true }
 * });
 *
 * var nonEnumProps = getNonEnumerableNames(obj); // nonEnumProps = ['a']
 */
export function getNonEnumerableNames(aObject: any): Array<string>;
export default getNonEnumerableNames;
